package ru.yandex.autodoc.wmtools.params.fetch.json;

/**
 * @author avhaliullin
 */
public abstract class SimpleObjectView<T> extends JsonObjectView<T, Void> {
    protected abstract T doFetch(JsonObjectContext context);

    @Override
    protected T doFetch(JsonObjectContext context, Void injected) {
        return doFetch(context);
    }
}
